stages:
  - build

build:
  image: node:latest
  stage: build
  variables:
    PUBLIC_URL: https://emily-arai.gitlab.io/portfolio/
  script:
    - npm install
    - npm build
  artifacts:
    paths:
      -build/

pages:
  image: alpine:latest
  stage: deploy
  variables:
    GIT_STRATEGY: none        # Do not clone git repo
  script:
    # Rename the CRA `build` folder to `public`
    - mv build public
  artifacts:
    paths:
      - public